Package org.eclipse.ui.wizards.datatransfer

# Class FileSystemImportWizard

java.lang.Object
org.eclipse.jface.wizard.Wizard
org.eclipse.ui.wizards.datatransfer.FileSystemImportWizard

All Implemented Interfaces:
  `IShellProvider`, `IWizard`, `IImportWizard`, `IWorkbenchWizard`

public class FileSystemImportWizard extends Wizard implements IImportWizard
Standard workbench wizard for importing resources from the local file system into the workspace.

This class may be instantiated and used without further configuration; this class is not intended to be subclassed.

Example:

     IWizard wizard = new FileSystemImportWizard();
     wizard.init(workbench, selection);
     WizardDialog dialog = new WizardDialog(shell, wizard);
     dialog.open();

During the call to `open`, the wizard dialog is presented to the user. When the user hits Finish, the user-selected files are imported into the workspace, the dialog closes, and the call to `open` returns.

Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

## Constructor Summary

Constructors
Constructor
Description
`FileSystemImportWizard()`
Creates a wizard for importing resources into the workspace from the file system.

## Method Summary

Modifier and Type
Method
Description
`void`
`addPages()`
The `Wizard` implementation of this `IWizard` method does nothing.
`void`
`init(IWorkbench workbench, IStructuredSelection currentSelection)`
Initializes this creation wizard using the passed workbench and object selection.
`boolean`
`performFinish()`
Subclasses must implement this `IWizard` method to perform any special finish processing for their wizard.

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

## Constructor Details

### FileSystemImportWizard

public FileSystemImportWizard()
Creates a wizard for importing resources into the workspace from the file system.

## Method Details

### addPages

public void addPages()
Description copied from class: `Wizard`
The `Wizard` implementation of this `IWizard` method does nothing. Subclasses should extend if extra pages need to be added before the wizard opens. New pages should be added by calling `addPage`.

Specified by:
  `addPages` in interface `IWizard`
Overrides:
  `addPages` in class `Wizard`

### init

public void init(IWorkbench workbench, IStructuredSelection currentSelection)
Description copied from interface: `IWorkbenchWizard`
Initializes this creation wizard using the passed workbench and object selection.

This method is called after the no argument constructor and before other methods are called.

Specified by:
  `init` in interface `IWorkbenchWizard`
Parameters:
  `workbench` - the current workbench
  `currentSelection` - the current object selection

### performFinish

public boolean performFinish()
Description copied from class: `Wizard`
Subclasses must implement this `IWizard` method to perform any special finish processing for their wizard.

Specified by:
  `performFinish` in interface `IWizard`
Specified by:
  `performFinish` in class `Wizard`
Returns:
  `true` to indicate the finish request was accepted, and `false` to indicate that the finish request was refused